-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt
local M = {}

local speedThresholdNormalPosition = 2
local speedThresholdClosedPosition = 12
local speedThresholdBrakingPosition = 8
local brakeThresholdBrakingPosition = 0.5
local spoiler = 0

local spoilerClosed = 0
local spoilerNormal = 0.75
local spoilerBraking = 1

local function onInit()
    electrics.values['spoiler'] = 0
end

local function reset()
    onInit()
end

local function updateGFX(dt)
	
    local currentSpoiler = electrics.values['spoiler']
    local speed = electrics.values['airspeed']
	
    if electrics.values['rpm'] < 16000 and speed <= speedThresholdNormalPosition then --check if our spoiler is currently in the normal position and we are still above the closed position speed threshold
        spoiler = spoilerNormal --(we are BELOW the normal position speed but out spoiler is open and we want to keep it that way until we are below the closing speed)
    else
        spoiler = spoilerClosed --(we are just very slow, nothing else, so close that spoiler)
	end
        
    --spoiler = spoilerNormal
    --push value
    electrics.values['spoiler'] = spoiler
	
end


-- public interface
M.onInit    = onInit
M.reset     = reset
M.updateGFX = updateGFX

return M